Italian progetto b4j spostarlo su MAC

chiales

New Member
Licensed User
Longtime User
Ciao a tutti
dopo b4a mi sto impegnando con b4J....ora ....una applicazione JAR creata devo spostarla su MAC, per windows Erel mi da
la b4jpackager. che mi fa tutto e mi da il file d'installazione per inno setup .... per MAC. invece come fare per creare PKG
o DMG. per farlo installare ?

grazie in anticipo
 

ivanomonti

Well-Known Member
Licensed User
Longtime User
non credo lo si possa fare con b4j, devi farlo con un package per mac su mac
 

Star-Dust

Expert
Licensed User
Normalmente il file jar dovrebbe essere eseguito su tutte le piattaforme che supportano java (windows/linux/MacOs/ubuntu)
Ovviamente va instaĺlato il Runtime (jre). Mi pare che linux non abbia bisogno di installare JRE.

Fa eccezione se usi librerie specifiche per una piattaforma.

e questo per installare il runtime

Se poi vuoi proprio creare un pacchetto puoi usare il file JSON che produce direttamente l'ambiente IDE quando compila l'esecutivo Windows (Con OprenJDK 11 o 14) per usare un software simile a Inno Script per creare un package Linux e/o Mac
 
Last edited:

giannimaione

Well-Known Member
Licensed User
Longtime User
installa JAVA tramite il MAC (il sito java.com ti propone la versione specifica per il SO in uso), e poi puoi eseguire l'app JAR.
verificato e funzionante al 100% (fatta eccezione per le librerie specifiche per una piattaforma.)
 

chiales

New Member
Licensed User
Longtime User
PROVATO ! MA...
MBP-di-Macbook:eek:bjects macbook$ java -jar lotto.jar
Error: JavaFX runtime components are missing, and are required to run this application
MBP-di-Macbook:eek:bjects macbook$ java -jar lotto.jar
Error: JavaFX runtime components are missing, and are required to run this application
MBP-di-Macbook:eek:bjects macbook$
mi dice che manca javafx .... ma io l'ho installato
 

Star-Dust

Expert
Licensed User
Dipende , c'è jFx e jFx9, ovvero la versione per Java 9+. Non so quale usi nella tua app ne quale sia quella instalata nel Mac. Ma non sono perfettamente compatibili entrambi.

Ti suggerisco di segnalare nel forum Inglese per questo problema
 
Top